Bug 1067685 - GUI: ensure proper web-admin and user-portal behavior on IE11
Summary: GUI: ensure proper web-admin and user-portal behavior on IE11
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.3.4
Assignee: Vojtech Szocs
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On: 1062716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-20 20:58 UTC by rhev-integ
Modified: 2014-06-20 12:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1062716
Environment:
Last Closed: 2014-06-16 11:22:31 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23367 None None None Never
oVirt gerrit 24211 None None None Never
oVirt gerrit 24480 None None None Never

Comment 3 Einav Cohen 2014-06-16 11:22:31 UTC
it seems that it is not clear what is better - forcing IE11 to behave like IE10 or letting it behave like gecko (Firefox) - there are arguments for both sides. 

I am closing this; need to re-open if problems occur in 3.3 and:
- only on IE11 (IE10-, other browsers should be fine)
- those problems don't occur in 3.4+. 

[1] https://code.google.com/p/google-web-toolkit/issues/detail?id=8228

Comment 4 Vojtech Szocs 2014-06-20 12:50:43 UTC
I quickly went throught GWT issue #8228 mentioned by Einav in comment #3.

"
To reiterate; we will not introduce a new permutation until we discover too many customizations required for IE11 and if it happens that permutation will very likely fallback to 'gecko' not 'ie10'.
"

Microsoft claims that IE11 is very close to FF, which is also why they changed IE11's user agent string to contain "like Gecko". As I understand it, for now, GWT team is NOT planning to introduce separate IE11 permutation. (And if they do that in future, IE11 permutation will fall back to FF permutation and NOT to IE10 permutation.)

So I agree that for now, the best solution is to close this issue - IE11 should simply work with FF permutation of GWT application.


Note You need to log in before you can comment on or make changes to this bug.